Subject: bug#10614: [EXPERIMENTAL PATCH] Extending Isearch-repeat-forward/backward to support a prefix argument following suggesion by Juri Linkov

From: Juri Linkov <[email-masked]>
Date: Tue, 01 Mar 2016 01:44:52 +0200

>> This experimental patch implements a suggestion by Juri Linkov to
>> extend isearch-repeat-forward/backward to support a prefix
>> argument. Instead of pressing C-s / C-r multiple times it is possible
>> with this patch to enter a prefix argument which runs the command
>> multiple times for you. If a negative argument is given for
>> isearch-repeat-forward then isearch-repeat-backward is run and visa
>> versa. Visual hints are added to the matched strings to help figure
>> out what argument should be given.
>
> Hm...  I guess I can see why this would be attractive, but I'm a bit
> sceptical.  Numeric prefixes make sense in many instances, but I would
> myself never this "hm, I must repeat the search three times"...  I would
> just hit `C-s' four times instead.  That seems faster and more
> convenient...

What if you need to visit a Nth occurrence where N is larger
than the number of keystrokes with numeric prefixes
(while using isearch for navigation)?